﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Diagnostics;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            OpenFileDialog Dialog1 = new OpenFileDialog();
            Dialog1.InitialDirectory = "c:\\";
            Dialog1.Filter =  "Wav files |*.wav|All files (*.*)|*.*";
            Dialog1.FilterIndex = 1;
            Dialog1.RestoreDirectory = false;
            if (Dialog1.ShowDialog() ==  DialogResult.OK)
            {
                textBox1.Text = Dialog1.FileName;
            };
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Process Lame = new Process();
            Lame.StartInfo.FileName = "Lame.exe";
            Lame.StartInfo.Arguments =" --nohist --preset medium " + textBox1.Text;
            Lame.StartInfo.CreateNoWindow = true;
            Lame.StartInfo.UseShellExecute = false;
            Lame.StartInfo.RedirectStandardOutput = true;
            Lame.StartInfo.RedirectStandardError = true;
            Lame.Start();
            while (!Lame.StandardError.EndOfStream)
            {
                textBox2.Text += Lame.StandardError.ReadLine()+Environment.NewLine ;
                Application.DoEvents();
            }
            Lame.WaitForExit();


        }

        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
